Update a connector
Changes only the fields sent; send null to clear a field. Connectors of partner EVSEs are read-only (409).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
connector_db_id
The connector’s id.
Request
This endpoint expects an object.
ocpi_connector_id
standard
format
OCPI connector format.
Allowed values:
power_type
OCPI power type.
Allowed values:
max_voltage
max_amperage
max_electric_power
type
terms_and_conditions
terms_and_conditions_url
capabilities
Response
The object after the update.
id
organization_id
charge_point_id
evse_id
connector_id
evse_type_connector_id
status
error_code
auto_created
timestamp
last_updated
revision
evse_uid
ocpi_connector_id
ocpi_status
type
standard
format
power_type
max_voltage
max_amperage
max_electric_power
info
vendor_id
vendor_error_code
fault_code_decoded
fault_source
terms_and_conditions
terms_and_conditions_url
tariff_ids
capabilities
ocpp_version
responded_at
Errors
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error